from sqlalchemy import Column, Float, String
from src.database.core import Base
from src.models import DefaultMixin

class RBDMasterData(Base, DefaultMixin):
    __tablename__ = "rbd_ms_master_data"
    
    name = Column(String(255), unique=True, nullable=False, index=True)
    value_float = Column(Float, nullable=True)
    value_string = Column(String(255), nullable=True)
    month = Column(String(20), nullable=True)
    year = Column(String(20), nullable=True)
